VirtualBox

Ticket #2405 (closed defect: fixed)

Opened 6 years ago

Last modified 4 years ago

NAT network on Adapter not working on Windows GUEST

Reported by: jwithana Owned by:
Priority: critical Component: network/NAT
Version: VirtualBox 2.0.2 Keywords: NAT networking
Cc: Guest type: Windows
Host type: Linux

Description

I opened a new ticket as a follow on to #2286 due to the confusion.

I Cannot access the internet from Guest after upgrading from VB 2.0.0 to 2.0.2. In the Win Guest, the network shows as connected but no sites can be accessed by IE or Firefox. Firefox on the Ubuntu host works fine.

I tried to downgrade back to 2.0.0 but this still does not fix the issue.

Can you PLEASE tell me any tests you would like me to run on the UBUNTU HOST or WINDOWS GUEST and post the output?

Attachments

WinXP-2008-10-25-11-21-38.log Download (43.3 KB) - added by jwithana 5 years ago.
Log file for NAT network not work on XP guest + Ubuntu Hardy host
WinXP-2008-10-25-17-24-52.log Download (50.1 KB) - added by jwithana 5 years ago.
Log file after upgrading to 2.0.4, problem still happens (no network on Win XP Guest)

Change History

comment:1 Changed 6 years ago by jwithana

also, shared folders DOES work so i wonder if the whole networking is inoperational or just part of it?

comment:2 Changed 6 years ago by frank

Shared folders and networking are two completely different subsystems. Please could you attach a VBox.log file of such a session?

comment:3 Changed 6 years ago by jwithana

sure. where do i find this file?

comment:4 Changed 6 years ago by frank

Please go to the VM selector window, select the VM, click on the 'Machine' menu and select 'Show log ...'.

Changed 5 years ago by jwithana

Log file for NAT network not work on XP guest + Ubuntu Hardy host

comment:5 Changed 5 years ago by jwithana

sorry for the delay in supplying the log file

comment:6 Changed 5 years ago by jwithana

UBUNTU HARDY HOST

$ ifconfig -a

eth0 Link encap:Ethernet HWaddr 00:1d:09:80:76:b0

inet addr:192.168.1.67 Bcast:192.168.1.255 Mask:255.255.255.0 inet6 addr: fe80::21d:9ff:fe80:76b0/64 Scope:Link UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1 RX packets:533683 errors:0 dropped:0 overruns:0 frame:0 TX packets:676690 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:100 RX bytes:134255370 (128.0 MB) TX bytes:250373197 (238.7 MB) Memory:fdfc0000-fdfe0000

lo Link encap:Local Loopback

inet addr:127.0.0.1 Mask:255.0.0.0 inet6 addr: ::1/128 Scope:Host UP LOOPBACK RUNNING MTU:16436 Metric:1 RX packets:15326 errors:0 dropped:0 overruns:0 frame:0 TX packets:15326 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:0 RX bytes:2662276 (2.5 MB) TX bytes:2662276 (2.5 MB)

comment:7 Changed 5 years ago by jwithana

WIN XP GUEST

Microsoft Windows XP [Version 5.1.2600] (C) Copyright 1985-2001 Microsoft Corp.

C:\Documents and Settings\Janaka>ipconfig /all

Windows IP Configuration

Host Name . . . . . . . . . . . . : perp-win
Primary Dns Suffix . . . . . . . :
Node Type . . . . . . . . . . . . : Unknown
IP Routing Enabled. . . . . . . . : No
WINS Proxy Enabled. . . . . . . . : No
DNS Suffix Search List. . . . . . : local


Ethernet adapter Local Area Connection 3:


Connection-specific DNS Suffix . : local
Description . . . . . . . . . . . : AMD PCNET Family PCI Ethernet Adapter
Physical Address. . . . . . . . . : 08-00-27-2A-FA-95
Dhcp Enabled. . . . . . . . . . . : Yes
Autoconfiguration Enabled . . . . : Yes
IP Address. . . . . . . . . . . . : 10.0.2.15
Subnet Mask . . . . . . . . . . . : 255.255.255.0
Default Gateway . . . . . . . . . : 10.0.2.2
DHCP Server . . . . . . . . . . . : 10.0.2.2
DNS Servers . . . . . . . . . . . : 10.0.2.3
Lease Obtained. . . . . . . . . . : Saturday, October 25, 2008 3:07:52 PM
Lease Expires . . . . . . . . . . : Sunday, October 26, 2008 3:07:52 PM


C:\Documents and Settings\Janaka>

Changed 5 years ago by jwithana

Log file after upgrading to 2.0.4, problem still happens (no network on Win XP Guest)

comment:8 follow-up: ↓ 9 Changed 5 years ago by frank

Please have a look at your log file. There are the following lines:

NAT: passing domain name local
NAT: DNS address: 192.168.1.1
NAT: ignored DNS address: 68.237.161.12  

Is 192.168.1.1 a valid name server? Or should the other one used?

comment:9 in reply to: ↑ 8 Changed 5 years ago by jwithana

192.168.1.1 is the router so prob not a good name server.

how can i make it NOT ignore DNS address: 68.237.161.12 ?

Replying to frank:

Please have a look at your log file. There are the following lines:

NAT: passing domain name local
NAT: DNS address: 192.168.1.1
NAT: ignored DNS address: 68.237.161.12  

Is 192.168.1.1 a valid name server? Or should the other one used?

comment:10 Changed 5 years ago by frank

Currently VirtualBox supports exactly one DNS server which is read from /etc/resolv.conf so you have to make sure the correct IP address comes first.

comment:11 Changed 5 years ago by jwithana

many thanks, that worked. DNS could be configured for a different primary fromt the GUI

was wondering if you would support 2 DNS servers in VBox in the future? or if it could be submitted to the suggestion box?

comment:12 Changed 5 years ago by frank

  • Component changed from network to network/NAT

comment:13 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Starting with version 2.2.0 VirtualBox passes multiple DNS servers to the guest. So your problem should be fixed. You also might want to have a look at section 9.14 (Enabling DNS proxy in NAT networking mode). Though enabling the DNS proxy is not required to get this work.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use